Subject: Re: bug#17162: 24.3; GDB interface stops working in some circumstances

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 14 Jul 2021 17:27:14 +0200

Zach Kost-Smith <[email-masked]> writes:

> In the *gud-test* buffer, issue the "run" command.  Wait for a while and
> then use C-c C-c to interrupt the execution.  Use "next" a few times to
> get to line 7 of the source (the "i++;" line).
>
> At this point you can continue to issue commands from the *gud-test*
> buffer and they work fine, but if you use commands like M-x gud-print,
> M-x gud-break, etc. from the source buffers fail to do anything. 

(I'm going through old bug reports that unfortunately got no response at
the time.)

I tried reproducing this in Emacs 28, but M-x gud-break worked fine for
me after this.  So are you still seeing this issue in more recent Emacs
versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no